package com.cusc.nirvana.user.rnr.fp.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.*;
import com.cusc.nirvana.user.rnr.mg.dto.MgCardNoticeDTO;

import java.io.File;

/**
 * Description: T1上报服务
 * <br />
 * CreateDate 2022-06-07 20:13:09
 *
 * @author yuyi
 **/
public interface IT1UploadService {

    /**
     * Description: 上传开户信息和文件信息
     * <br />
     * CreateDate 2022-06-07 20:17:48
     *
     * @author yuyi
     **/
    Response uploadUserInfoAndFile(MgCardNoticeDTO cardNoticeDTO);

    T1AuthDTO getAuth(EncryptionKeyDTO encryptionKeyDTO);

    File encryptZipFile(File zip,EncryptionKeyDTO encryptionKeyDTO) throws Exception;

    T1CommonResponseDTO t1CallbackResult(T1CallbackResultDTO t1CallbackResultDTO);

    Response againUploadUserInfoAndFile(AgainUploadDTO againUploadDTO);


}
